import { applyTransform } from '@codeshift/test-utils';
import * as transformer from './transform';

describe('typography@5.0.0 transform', () => {
  it('should transform fontFamily from PascalCase to param-case', async () => {
    const result = await applyTransform(
      transformer,
      '<Typography fontFamily="Mono" />',
    );

    expect(result).toBe('<Typography fontFamily="mono" />');
  });

  it('should transform fontWeight from PascalCase to param-case', async () => {
    const result = await applyTransform(
      transformer,
      '<Typography fontWeight="SemiBold" />',
    );

    expect(result).toBe('<Typography fontWeight="semi-bold" />');
  });
});
